Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-39482

Upgrade Apache Commons DBCP to 1.4

    XMLWordPrintable

    Details

    • Type: Feature Request
    • Status: RESOLVED
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 10.0
    • Component/s: Kernel
    • Labels:
      None
    • Previous Issue Keys:
      KNL-765

      Description

      Commons DBCP 1.2.2 is the current version deployed in trunk, however is rather old.

      Commons 1.4 exists and uses JDBC 4 (is is possible to upgrade in this case?) but requires JDK 1.6 (although commons 1.3 is identical but only requires 1.5)

      http://commons.apache.org/dbcp/changes-report.html

      However, since we are targeting JDK 1.6 in Sakai 2.9 it seems reasonable we can also upgrade to commons dbcp 1.4

        Gliffy Diagrams

          Zeplin

            Attachments

              Issue Links

                Activity

                  People

                  Assignee:
                  ottenhoff Sam Ottenhoff
                  Reporter:
                  steve.swinsburg Steve Swinsburg
                  Votes:
                  2 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved:

                      Git Integration